Bug 678169 (CVE-2011-0716) - CVE-2011-0716 kernel: deficiency in processing igmp host membership reports in br_multicast
Summary: CVE-2011-0716 kernel: deficiency in processing igmp host membership reports i...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-0716
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 659421 678172
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-16 23:48 UTC by Petr Matousek
Modified: 2019-09-29 12:42 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-29 13:52:55 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0421 normal SHIPPED_LIVE Important: kernel security and bug fix update 2011-04-08 02:56:45 UTC

Description Petr Matousek 2011-02-16 23:48:07 UTC
Description of problem:
It was found that executing bridge snooping code triggered by host originated IGMP packets could cause corruption in 512-byte slabs, most commonly leading to crashes in jbd2. This could be possibly exploited by local unprivileged user to crash the host (DoS).

Comment 2 Petr Matousek 2011-02-16 23:51:30 UTC
Statement:

This issue did not affect the versions of the Linux kernel as shipped with Red
Hat Enterprise Linux 4, 5, and Red Hat Enterprise MRG as they did not include
support for the bridge snooping functionality. A future update in Red Hat
Enterprise Linux 6 may address this flaw.

Comment 5 errata-xmlrpc 2011-04-08 02:57:47 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0421 https://rhn.redhat.com/errata/RHSA-2011-0421.html


Note You need to log in before you can comment on or make changes to this bug.